Redmine - Defect #8741

Git: diff is always empty in merged revsion
2011-07-03 23:53 - Dave Abrahams

Status: Closed Start date: 2011-07-03
Priority: Low Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 1.2.0
Description

A URL of the form https://hub.boostpro.com/projects/embt/repository/revisions/a74df08c89e1120f82¢79619b32d657adb1d04f5 gets
me a screen with the commit message, but not even a list of files. | have to append /diff to the URL to even find out that Redmine
has decided not to show that detail because it's so large.

By the way, is there a place | can adjust that limit?

Related issues:

Related to Redmine - Defect #7518: Mercurial diff can be wrong if the previou... Closed 2011-02-02
Related to Redmine - Feature #3909: Mercurial: show repository graphic history Closed 2009-09-23
Is duplicate of Redmine - Defect #20693: GIT: No files/differences on git mer... New

History

#1 - 2011-07-04 00:53 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2011-07-04 00:55 - Toshi MARUYAMA

- Priority changed from Normal to Low

#3 - 2011-07-04 01:05 - Toshi MARUYAMA
- File rev-url-short.diff added

Try this patch.

#4 - 2011-07-04 01:09 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

#5 - 2011-07-04 01:12 - Toshi MARUYAMA
- File Screenshot-1.png added

- File Screenshot.png added

- Status changed from New to Closed

- Resolution set to Invalid

|
Settings

General Display Authentication Projects Issue tracking Email notifications Incoming

Application title |redMine
https://hub.boostpro.com/projects/embt/repository/revisions/a74df08c89e1120f82c79619b32d657adb1d04f5

Wiki history compression |none «
Feed content limit |15
Max size of text files displayed inline |52 kB

Max number of diff lines displayed |1500

#6 - 2011-07-04 02:42 - Dave Abrahams

- Status changed from Closed to Reopened

| kept bumping those up until eventually the /diff URL stopped telling me that it was truncating the diffs, but still wouldn't show any diffs.
I think it's a defect (in both those pages) when you leave out information without explaining its absence. Just sayin'.

#7 - 2011-07-04 03:11 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Resolution deleted (Invalid)

Git is DAG. Git has many parents. If merge revision has no changes, diff is empty.
For example,

#8 - 2011-07-04 03:11 - Toshi MARUYAMA

- Resolution set to Wont fix

#9 - 2011-07-04 03:11 - Toshi MARUYAMA

- Subject changed from Revision detail silently truncated to Git: Revision detail silently truncated

#10 - 2011-07-04 03:12 - Toshi MARUYAMA

- Subject changed from Git: Revision detail silently truncated to Git: diff detail silently truncated in merged revsion

#11 - 2011-07-04 03:17 - Toshi MARUYAMA
- Status changed from Closed to Reopened

- Resolution deleted (Wont fix)

#12 - 2011-07-04 03:17 - Toshi MARUYAMA

- Subject changed from Git: diff detail silently truncated in merged revsion to Git: diff is empty in merged revsion

#13 - 2011-07-04 03:18 - Toshi MARUYAMA

- Subject changed from Git: diff is empty in merged revsion to Git: diff is always empty in merged revsion

#14 - 2011-07-04 04:11 - Dave Abrahams

| believe the message from Redmine that the changes are too large to show conflicts with your theory that there are no changes to show.

#15 - 2011-07-04 04:20 - Toshi MARUYAMA

| can't see https://hub.boostpro.com/projects/embt/repository/revisions/a74df08c89e1 ,
because this site uses self certified ssl.

#16 - 2011-07-05 21:26 - Dave Abrahams
Toshi MARUYAMA wrote:

| can't see https://hub.boostpro.com/projects/embt/repository/revisions/a74df08c89e1 ,
because this site uses self certified ssl.

It's also password protected because it contains sensitive data, so even if you allowed the certificate, you wouldn't be able to see it. I'm doing my
best with this bug report and if you would like some other kind of information, please tell me what it is.

#17 - 2015-09-08 11:54 - Toshi MARUYAMA
- Status changed from Reopened to Closed

- Resolution set to Duplicate

| close as duplicate of #20693.
This issue is not smart.

#18 - 2015-09-08 11:55 - Toshi MARUYAMA
- Is duplicate of Defect #20693: GIT: No files/differences on git merge commit added

Files

rev-url-short.diff 730 Bytes 2011-07-03 Toshi MARUYAMA
Screenshot-1.png 10.7 KB 2011-07-03 Toshi MARUYAMA
Screenshot.png 13 KB 2011-07-03 Toshi MARUYAMA
